<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.90.3
Description: Template voor CDA document Combinatietest kansbepaling
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.90.3">
   <title>Combinatietest kansbepaling</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /
Item: (cda-ctk)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument
Item: (cda-ctk)
-->

<rule context="/hl7:ClinicalDocument"
         id="tmp-647c6497-b4b9-417e-af0a-25a4379024b2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(cda-ctk): element hl7:realmCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:realmCode)&lt;=1">(cda-ctk): element hl7:realmCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(cda-ctk): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(cda-ctk): element hl7:typeId[@root='2.16.840.1.113883.1.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3']/@nullFlavor)">(cda-ctk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3'])&lt;=1">(cda-ctk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(cda-ctk): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:id)&lt;=1">(cda-ctk): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(cda-ctk): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:code)&lt;=1">(cda-ctk): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:title)&lt;=1">(cda-ctk): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(cda-ctk): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(cda-ctk): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:confidentialityCode)&gt;=1 and not(hl7:confidentialityCode/@nullFlavor)">(cda-ctk): element hl7:confidentialityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:confidentialityCode)&lt;=1">(cda-ctk): element hl7:confidentialityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(cda-ctk): element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:languageCode)&lt;=1">(cda-ctk): element hl7:languageCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:setId)&lt;=1">(cda-ctk): element hl7:setId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(cda-ctk): element hl7:versionNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(cda-ctk): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(cda-ctk): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(cda-ctk): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(cda-ctk): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:custodian)&lt;=1">(cda-ctk): element hl7:custodian komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900800
Context: /hl7:ClinicalDocument
Item: (CDArealmCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900800
Context: /hl7:ClinicalDocument
Item: CDArealmCode
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900800
Context: /hl7:ClinicalDocument
Item: (CDArealmCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900800
Context: /hl7:ClinicalDocument/hl7:realmCode
Item: (CDArealmCode)
-->

<rule context="/hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-4d8c2a04-f24a-488c-98c4-31a6f922c9b8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900800-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArealmCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900800-2012-03-11T000000.html"
              test="@nullFlavor or (@code='NL')">(CDArealmCode): de waarde van @code MOET ''NL'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900801
Context: /hl7:ClinicalDocument
Item: (CDAtypeId)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900801
Context: /hl7:ClinicalDocument
Item: CDAtypeId
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900801
Context: /hl7:ClinicalDocument
Item: (CDAtypeId)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900801
Context: /hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

<rule context="/hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-b048eb7f-33e0-4a36-86f9-dfb443c2c3e7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900801-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900801-2012-03-11T000000.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): de waarde van @extension MOET 'POCD_HD000040' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900801-2012-03-11T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root MOET de waarde '2.16.840.1.113883.1.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900801-2012-03-11T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAtypeId): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3']
Item: (cda-ctk)
-->

<rule context="/hl7:ClinicalDocument/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.3']"
         id="tmp-b73c4c23-d65e-4485-a9b8-3d3a2599db51">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(cda-ctk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.90.3'">(cda-ctk): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.90.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(cda-ctk): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900802
Context: /hl7:ClinicalDocument
Item: (CDAid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900802
Context: /hl7:ClinicalDocument
Item: (CDAid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900802
Context: /hl7:ClinicalDocument
Item: (CDAid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900802
Context: /hl7:ClinicalDocument/hl7:id
Item: (CDAid)
-->

<rule context="/hl7:ClinicalDocument/hl7:id"
         id="tmp-6a1b00c1-b62e-4bc4-8b4f-224a3fa47390">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900802-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:code
Item: (cda-ctk)
-->

<rule context="/hl7:ClinicalDocument/hl7:code"
         id="tmp-bb1aa226-44b1-4672-ba6f-27a1e9b4962e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(cda-ctk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="@nullFlavor or (@code='51898-5' and @codeSystem='2.16.840.1.113883.6.1')">(cda-ctk): de waarde van @code/@codeSystem MOET ''51898-5' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900803
Context: /hl7:ClinicalDocument
Item: (CDAtitle)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900803
Context: /hl7:ClinicalDocument
Item: (CDAtitle)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900803
Context: /hl7:ClinicalDocument/hl7:title
Item: (CDAtitle)
-->

<rule context="/hl7:ClinicalDocument/hl7:title"
         id="tmp-4a95827c-18e4-4349-9914-9b023235731b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900803-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900804
Context: /hl7:ClinicalDocument
Item: (CDAeffectiveTime)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900804
Context: /hl7:ClinicalDocument
Item: (CDAeffectiveTime)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900804
Context: /hl7:ClinicalDocument/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

<rule context="/hl7:ClinicalDocument/hl7:effectiveTime"
         id="tmp-803c4d4e-0a19-473f-8965-8723215df8f8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900804-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATETIME.MIN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900805
Context: /hl7:ClinicalDocument
Item: (CDAconfidentialityCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900805
Context: /hl7:ClinicalDocument/hl7:confidentialityCode
Item: (CDAconfidentialityCode)
-->

<rule context="/hl7:ClinicalDocument/hl7:confidentialityCode"
         id="tmp-971ace98-5b8c-4fc3-bfe1-9e7687dd3f05">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900805-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.140-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.140-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900805-2012-03-11T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAconfidentialityCode): de waarde van @code MOET worden gekozen uit waardenlijst Confidentiality DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900805-2012-03-11T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAconfidentialityCode): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Confidentiality DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900806
Context: /hl7:ClinicalDocument
Item: (CDAlanguageCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900806
Context: /hl7:ClinicalDocument/hl7:languageCode
Item: (CDAlanguageCode)
-->

<rule context="/hl7:ClinicalDocument/hl7:languageCode"
         id="tmp-b7c0797d-438a-4e06-acf5-bac7bf582fa4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900806-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAlanguageCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS.LANG" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS.LANG"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900807
Context: /hl7:ClinicalDocument
Item: (CDAsetIdversionNumber)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900807
Context: /hl7:ClinicalDocument
Item: (CDAsetIdversionNumber)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900807
Context: /hl7:ClinicalDocument/hl7:setId
Item: (CDAsetIdversionNumber)
-->

<rule context="/hl7:ClinicalDocument/hl7:setId"
         id="tmp-2edd18ec-518d-41bc-b69e-7779dd2efe3e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900807-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900807
Context: /hl7:ClinicalDocument/hl7:versionNumber
Item: (CDAsetIdversionNumber)
-->

<rule context="/hl7:ClinicalDocument/hl7:versionNumber"
         id="tmp-02d4453f-a6fb-4f4c-81aa-8f974f5fa5e6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900807-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.NONNEG" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900807-2012-03-11T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(CDAsetIdversionNumber): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900807-2012-03-11T000000.html"
              test="$digitok or @nullFlavor">(CDAsetIdversionNumber): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900807-2012-03-11T000000.html"
              test="(../hl7:setId and ../hl7:versionNumber) or not (../hl7:setId or ../hl7:versionNumber)">(CDAsetIdversionNumber): Clinical Document setId and versionNumber SHALL be both present or both absent</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument
Item: (CDArecordTarget)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument
Item: (CDArecordTarget)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument/hl7:recordTarget
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget"
         id="tmp-c1fd843b-317f-496a-be26-a6711b5633fe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="string(@contextControlCode)='OP'">(CDArecordTarget): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="string(@typeCode)='RCT'">(CDArecordTarget): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">(CDArecordTarget): element hl7:patientRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole"
         id="tmp-b27201f8-4cbe-4b16-9a04-4653cbb8563d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="string(@classCode)='PAT'">(CDArecordTarget): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDArecordTarget): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:id)&lt;=1">(CDArecordTarget): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:addr)&lt;=2">(CDArecordTarget): element hl7:addr komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(CDArecordTarget): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900028
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (Burgerservicenummer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900028
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (Burgerservicenummer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900028
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (Burgerservicenummer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900028
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id
Item: (Burgerservicenummer)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id"
         id="tmp-5ee48c24-9b84-4858-a9e4-9283dd94bf94">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900028-2009-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Burgerservicenummer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id"
         id="tmp-159db780-f0fb-450c-9ed2-920e47c31220">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-344d991f-c97f-4819-b6cf-e2c4269dc5f3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="not(@use) or string-length(normalize-space(replace (@use, 'HP|PHYS|TMP', '')))=0">(CDArecordTarget): Attribute @use of addr SHALL contain codes HP PHYS PST or TMP only</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="../hl7:addr[@use='HP' or @use='TMP PHYS']">(CDArecordTarget): Addr SHALL be present with @use HP or TMP PHYS or both</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="tmp-ab6f9681-cdd8-4e2c-bc70-071eb20a71bc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-1f529890-cb83-4ee5-a56f-68e9b108a4dd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="string(@classCode)='PSN'">(CDArecordTarget): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDArecordTarget): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:name)&lt;=2">(CDArecordTarget): element hl7:name komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(CDArecordTarget): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-7caca558-00d4-4063-8a39-9e1df146a39c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode"
         id="tmp-ac42759f-ba73-4ff6-9cf5-d91172bb47a2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.128-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.128-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDArecordTarget): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDArecordTarget): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900808
Context: /hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

<rule context="/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-03711e62-38e0-4d46-94b0-f9cae5fbdc7d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900808-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument
Item: (CDAauthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument
Item: (CDAauthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author"
         id="tmp-914797c8-8764-4659-addc-0671325dfbb4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@contextControlCode)='OP'">(CDAauthor): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@typeCode)='AUT'">(CDAauthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:time
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:time"
         id="tmp-b0aa729b-825a-4e64-a0b7-d981ef8d609e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor"
         id="tmp-f930b343-445c-4d70-8185-53180c66ac0f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAauthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.840.1.113883.2.4.6.1']|hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(CDAauthor): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.840.1.113883.2.4.6.1'] of hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.840.1.113883.2.4.6.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(CDAauthor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor"
         id="tmp-c3a729ca-4a3f-40d3-948b-958503fc032f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.840.1.113883.2.4.6.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-d71e6b03-003d-435f-8911-12c73801091b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(CDAauthor): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string-length(@extension)&gt;0">(CDAauthor): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-d09dadd9-177e-40a0-816c-8706b9422069">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.AGB" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.1'">(CDAauthor): @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string-length(@extension)&gt;0">(CDAauthor): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.2']"
         id="tmp-64df8131-c90b-4de0-87ad-af3916a9d08e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.22.98.2'">(CDAauthor): @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.2' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string-length(@extension)&gt;0">(CDAauthor): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:code
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-ed915145-fe4c-465e-8894-5f4c7d562288">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAauthor): de waarde van @code MOET worden gekozen uit waardenlijst ZorgverlenerType DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAauthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-47e0cb5e-7628-4128-9ed4-ca04e72d0688">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@classCode)='PSN'">(CDAauthor): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-98c37ea5-be5c-41df-a2f1-a2f12c7f868a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-a390681a-8828-4eaf-83b1-34248b9d1bd8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@classCode)='ORG'">(CDAauthor): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAauthor): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="count(peri:code)&lt;=1">(CDAauthor): element peri:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900022
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (ZorginstellingOID)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900022
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (ZorginstellingOID)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-d2a28cad-6288-4826-868d-53e97f65de8f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900022-2009-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ZorginstellingOID): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-5389fd54-6fb7-4469-b825-7af4b76305d6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.AGB" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.1'">(CDAauthor): @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']"
         id="tmp-9c3fecee-7083-48d8-93db-8254f49d72b1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.22.98.1'">(CDAauthor): @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-668a8104-f5ec-4046-a735-798eb0b8676c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(CDAauthor): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAauthor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-2230b7c0-23a2-43c1-8e17-57c83282a0f7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900809
Context: /hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/peri:code
Item: (CDAauthor)
-->

<rule context="/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/peri:code"
         id="tmp-3314989b-efe2-4fcb-8d33-3402c3e3c4e3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.59-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.59-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAauthor): de waarde van @code MOET worden gekozen uit waardenlijst ZorgaanbiederType DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900809-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAauthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgaanbiederType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900810
Context: /hl7:ClinicalDocument
Item: (CDAcustodian)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900810
Context: /hl7:ClinicalDocument
Item: (CDAcustodian)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900810
Context: /hl7:ClinicalDocument/hl7:custodian
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian"
         id="tmp-207bb619-227e-411e-859f-c4598c91bff9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="string(@typeCode)='CST'">(CDAcustodian): de waarde van @typeCode MOET 'CST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900810
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian"
         id="tmp-f5cb47fd-a537-4ad3-833e-6c28f0af774b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAcustodian): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="count(hl7:representedCustodianOrganization)&gt;=1 and not(hl7:representedCustodianOrganization/@nullFlavor)">(CDAcustodian): element hl7:representedCustodianOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900810
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-afc32792-6785-4b54-b63a-8558d2d6ef6c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAcustodian): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="string(@classCode)='ORG'">(CDAcustodian): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAcustodian): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(CDAcustodian): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900810
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-f34b9a6f-be08-4e99-befa-62e8a8b10891">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAcustodian): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900810
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-c81a7220-adc3-451b-a54e-739d8073071d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAcustodian): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900810
Context: /hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDAcustodian)
-->

<rule context="/hl7:ClinicalDocument/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-88e36833-19a9-422b-88f3-5885e1828043">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900810-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAcustodian): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900811
Context: /hl7:ClinicalDocument
Item: (CDAinformationRecipient)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900811
Context: /hl7:ClinicalDocument/hl7:informationRecipient
Item: (CDAinformationRecipient)
-->

<rule context="/hl7:ClinicalDocument/hl7:informationRecipient"
         id="tmp-d6e2dbf3-2e6c-4383-9be0-005ea833a4b7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="string(@typeCode)='PRCP' or string(@typeCode)='TRC'">(CDAinformationRecipient): de waarde van @typeCode MOET één van de volgende codes bevatten: PRCP', 'TRC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="count(hl7:intendedRecipient)&gt;=1 and not(hl7:intendedRecipient/@nullFlavor)">(CDAinformationRecipient): element hl7:intendedRecipient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="count(hl7:intendedRecipient)&lt;=1">(CDAinformationRecipient): element hl7:intendedRecipient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900811
Context: /hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient
Item: (CDAinformationRecipient)
-->

<rule context="/hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient"
         id="tmp-343c2e84-27b2-4c10-bb1b-a0b120156306">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAinformationRecipient): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="count(hl7:informationRecipient)&lt;=1">(CDAinformationRecipient): element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="count(hl7:receivedOrganization)&lt;=1">(CDAinformationRecipient): element hl7:receivedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900811
Context: /hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient
Item: (CDAinformationRecipient)
-->

<rule context="/hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient"
         id="tmp-086f9d80-3c50-4c2b-8779-cc7b2946f0ff">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAinformationRecipient): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="string(@classCode)='PSN'">(CDAinformationRecipient): de waarde van @classCode MOET 'PSN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900811
Context: /hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization
Item: (CDAinformationRecipient)
-->

<rule context="/hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization"
         id="tmp-8687ce55-7d41-4f10-8ad5-9d418a068b0d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAinformationRecipient): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="string(@classCode)='ORG'">(CDAinformationRecipient): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(CDAinformationRecipient): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900811
Context: /hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (CDAinformationRecipient)
-->

<rule context="/hl7:ClinicalDocument/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-7d65fb6c-7969-4a2c-bf32-846a5796936d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAinformationRecipient): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="string-length(@extension)&gt;0">(CDAinformationRecipient): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(CDAinformationRecipient): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900811-2012-03-11T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAinformationRecipient): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900812
Context: /hl7:ClinicalDocument/hl7:authenticator
Item: (CDAauthenticator)
-->

<rule context="/hl7:ClinicalDocument/hl7:authenticator"
         id="tmp-8592ae87-6801-4892-bd92-f980c765bf2e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900812-2012-03-11T000000.html"
              test="string(@typeCode)='AUTHEN'">(CDAauthenticator): de waarde van @typeCode MOET 'AUTHEN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900813
Context: /hl7:ClinicalDocument/hl7:legalAuthenticator
Item: (CDlegalAuthenticator)
-->

<rule context="/hl7:ClinicalDocument/hl7:legalAuthenticator"
         id="tmp-cb2a7454-3fcb-40e1-9406-645c2edaffa8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900813-2012-03-11T000000.html"
              test="string(@contextControlCode)='OP'">(CDlegalAuthenticator): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900813-2012-03-11T000000.html"
              test="string(@typeCode)='LA'">(CDlegalAuthenticator): de waarde van @typeCode MOET 'LA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900814
Context: /hl7:ClinicalDocument/hl7:relatedDocument
Item: (CDArelatedDocument)
-->

<rule context="/hl7:ClinicalDocument/hl7:relatedDocument"
         id="tmp-3b191139-f837-4ead-a865-def34ef28b3a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900814-2012-03-11T000000.html"
              test="string(@typeCode)='RPLC'">(CDArelatedDocument): de waarde van @typeCode MOET 'RPLC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument
Item: (CDAdocumentationOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument
Item: (CDAdocumentationOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf"
         id="tmp-3f80e0b6-25b7-4acc-81ba-8c9b47343ca7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@typeCode)='DOC'">(CDAdocumentationOf): de waarde van @typeCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">(CDAdocumentationOf): element hl7:serviceEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:serviceEvent)&lt;=1">(CDAdocumentationOf): element hl7:serviceEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent"
         id="tmp-d172d9c2-b542-42f8-85fe-6bf803be940e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@classCode)='OBS'">(CDAdocumentationOf): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@moodCode)='EVN'">(CDAdocumentationOf): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:id)&lt;=1">(CDAdocumentationOf): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAdocumentationOf): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:code)&lt;=1">(CDAdocumentationOf): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDAdocumentationOf): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAdocumentationOf): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:performer)&gt;=1 ">(CDAdocumentationOf): element hl7:performer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:performer)&lt;=1">(CDAdocumentationOf): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:id
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:id"
         id="tmp-e8f73d8a-79eb-42f8-abc3-c88dc5abce6c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:code
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:code"
         id="tmp-ffd1bad6-9fa9-4473-a7be-299c0cc20fbb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.73-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.73-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAdocumentationOf): de waarde van @code MOET worden gekozen uit waardenlijst TypeExam DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAdocumentationOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst TypeExam DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-6b9e85cb-2438-4259-a702-946902e2f151">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer"
         id="tmp-1742180f-6f66-4284-8677-a5e10ced28c0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@typeCode)='PRF'">(CDAdocumentationOf): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAdocumentationOf): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAdocumentationOf): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-4b71ef02-6fa4-4dad-961d-d5c12db76622">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAdocumentationOf): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.840.1.113883.2.4.6.1'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="$elmcount&gt;=1">(CDAdocumentationOf): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.840.1.113883.2.4.6.1']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:code)&gt;=1 ">(CDAdocumentationOf): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:code)&lt;=1">(CDAdocumentationOf): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 ">(CDAdocumentationOf): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAdocumentationOf): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 ">(CDAdocumentationOf): element hl7:representedOrganization is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAdocumentationOf): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAdocumentationOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-61824833-682d-42a2-88b2-12c26bf47803">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string-length(@extension)&gt;0">(CDAdocumentationOf): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(CDAdocumentationOf): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAdocumentationOf): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-d9966b22-e6cc-487e-b061-de5366aea812">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.AGB" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string-length(@extension)&gt;0">(CDAdocumentationOf): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.1'">(CDAdocumentationOf): @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CDAdocumentationOf): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-b51fcae6-4300-4819-b6b7-c7c9bf74ede9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.58-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(CDAdocumentationOf): de waarde van @code MOET worden gekozen uit waardenlijst ZorgverlenerType DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(CDAdocumentationOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-0211d5b5-48f0-49e8-b358-43a06dad280f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom"
         id="tmp-ff7dcaaa-600e-49e5-830c-a511a6f36c5c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-49abafb4-8796-4295-b2cb-0f28320d7ac1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAdocumentationOf): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@classCode)='PSN'">(CDAdocumentationOf): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDAdocumentationOf): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-8d974613-d2b8-4a43-a006-041a542df5f9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-24f74107-8872-4906-a8cd-eb3576530aff">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAdocumentationOf): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="string(@classCode)='ORG'">(CDAdocumentationOf): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAdocumentationOf): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDAdocumentationOf): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="count(hl7:addr)&gt;=1 ">(CDAdocumentationOf): element hl7:addr is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-e45c6014-6352-4fe8-a38b-8b5fea37157d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-ed648003-bdf9-4ba6-aeea-b557570d0ba4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900815
Context: /hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAdocumentationOf)
-->

<rule context="/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-67889692-6bdd-4c51-bc79-f3b0627995c9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900815-2012-03-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component
Item: (cda-ctk)
-->

<rule context="/hl7:ClinicalDocument/hl7:component"
         id="tmp-1f4d03f5-492c-440c-9cb7-e38aa9aefd5b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(cda-ctk): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="string(@typeCode)='COMP'">(cda-ctk): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody
Item: (cda-ctk)
-->

<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody"
         id="tmp-c6407be3-4a67-4343-9846-8d975dd6a1e7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="string(@classCode)='DOCBODY'">(cda-ctk): de waarde van @classCode MOET 'DOCBODY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="string(@moodCode)='EVN'">(cda-ctk): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 ">(cda-ctk): element hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(cda-ctk): element hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 ">(cda-ctk): element hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=9">(cda-ctk): element hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 9x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (cda-ctk)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-088f5396-cf46-4a43-a3d5-6b4aa38b9d3b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(cda-ctk): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="string(@typeCode)='COMP'">(cda-ctk): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900864
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody
Item: (CDAPregnancyInformationSection3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900864
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAPregnancyInformationSection3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900864
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: (CDAPregnancyInformationSection3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section"
         id="tmp-822e7d4f-8964-4ce2-9954-446a2cede601">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAPregnancyInformationSection3): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="count(hl7:code)&lt;=1">(CDAPregnancyInformationSection3): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="count(hl7:title)&gt;=1 ">(CDAPregnancyInformationSection3): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="count(hl7:title)&lt;=1">(CDAPregnancyInformationSection3): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="count(hl7:text)&gt;=1 ">(CDAPregnancyInformationSection3): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="count(hl7:text)&lt;=1">(CDAPregnancyInformationSection3): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 ">(CDAPregnancyInformationSection3): element hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(CDAPregnancyInformationSection3): element hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900864
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code
Item: (CDAPregnancyInformationSection3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code"
         id="tmp-1cfba27a-b410-48ee-8be9-685ad3ba832b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAPregnancyInformationSection3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="@nullFlavor or (@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')">(CDAPregnancyInformationSection3): de waarde van @code/@codeSystem MOET ''11449-6' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900864
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title
Item: (CDAPregnancyInformationSection3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title"
         id="tmp-445fc8d6-7b81-48a2-8655-b967632e6dd1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAPregnancyInformationSection3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="text()='Zwangerschap'">(CDAPregnancyInformationSection3): de element content van hl7:title MOET ''Zwangerschap'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900864
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:text
Item: (CDAPregnancyInformationSection3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900864
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAPregnancyInformationSection3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-50432e9a-ad0d-4db6-9505-23e11cfeb52d">
      <extends rule="tmp-a72c5726-2c6a-4698-812c-b8fe3945df57"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="string(@contextConductionInd)='true'">(CDAPregnancyInformationSection3): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900864-2012-03-10T000000.html"
              test="string(@typeCode)='DRIV'">(CDAPregnancyInformationSection3): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900865
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: (CDAPregnancyInformationEntry3)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900865
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAPregnancyInformationEntry3)
-->
<rule id="tmp-a72c5726-2c6a-4698-812c-b8fe3945df57" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:organizer)&gt;=1 ">(CDAPregnancyInformationEntry3): element hl7:organizer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:organizer)&lt;=1">(CDAPregnancyInformationEntry3): element hl7:organizer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900865
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer"
         id="tmp-89537815-9dc3-4955-967f-caa2dff10f27">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="string(@classCode)='CLUSTER'">(CDAPregnancyInformationEntry3): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="string(@moodCode)='EVN'">(CDAPregnancyInformationEntry3): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAPregnancyInformationEntry3): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:code)&lt;=1">(CDAPregnancyInformationEntry3): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(CDAPregnancyInformationEntry3): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAPregnancyInformationEntry3): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(CDAPregnancyInformationEntry3): element hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900865
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:code
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:code"
         id="tmp-77b16212-d418-4470-b977-56c77d18e64d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAPregnancyInformationEntry3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="@nullFlavor or (@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')">(CDAPregnancyInformationEntry3): de waarde van @code/@codeSystem MOET ''11449-6' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900865
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:statusCode
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:statusCode"
         id="tmp-44dd67ee-a2ee-4aee-a5ad-fc79df826121">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAPregnancyInformationEntry3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="@nullFlavor or (@code='completed')">(CDAPregnancyInformationEntry3): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900865
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-c08834ab-a000-4173-ac8c-6ab9a70c8c73">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="string(@contextConductionInd)='true'">(CDAPregnancyInformationEntry3): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="string(@typeCode)='COMP'">(CDAPregnancyInformationEntry3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900004
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (Graviditeit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900004
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Graviditeit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900004
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Graviditeit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-61b08ebf-aa4f-4250-a765-4a78e6c8c4f3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Graviditeit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Graviditeit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Graviditeit): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="count(hl7:code)&lt;=1">(Graviditeit): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(Graviditeit): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Graviditeit): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900004
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Graviditeit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-af22e864-f6a0-42ce-b711-670f9292411d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Graviditeit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="@nullFlavor or (@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Graviditeit): de waarde van @code/@codeSystem MOET ''Gravidity' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900004
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Graviditeit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-6f1bfcf3-a988-4b4b-ba21-062bf503ca4d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Graviditeit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=75))">(Graviditeit): value MOET in bereik [0..75] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900004-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(Graviditeit): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900865
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-8eed6c70-6985-49f3-a88e-e5075f09afc4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="string(@contextConductionInd)='true'">(CDAPregnancyInformationEntry3): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="string(@typeCode)='COMP'">(CDAPregnancyInformationEntry3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (HoeveellingMax)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (HoeveellingMax)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (HoeveellingMax)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-c4ec377d-a3d5-4f07-99c7-4546d0cfd385">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(HoeveellingMax): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(HoeveellingMax): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(HoeveellingMax): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:code)&lt;=1">(HoeveellingMax): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(HoeveellingMax): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(HoeveellingMax): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(HoeveellingMax): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(HoeveellingMax): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (HoeveellingMax)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-8905442c-5d63-4ea8-b12f-a25daecbc324">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(HoeveellingMax): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="@nullFlavor or (@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(HoeveellingMax): de waarde van @code/@codeSystem MOET ''NFetusMax' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: (HoeveellingMax)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-5a018acd-fa8d-4b13-b5cc-2d3e0d1b4d9f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(HoeveellingMax): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900054
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (HoeveellingMax)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusMax' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-1063d27e-7053-458c-9af4-0c9c3bfd6994">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(HoeveellingMax): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=9))">(HoeveellingMax): value MOET in bereik [1..9] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900054-2009-10-01T000000.html"
              test="$digitok or @nullFlavor">(HoeveellingMax): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900865
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (CDAPregnancyInformationEntry3)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-d8b292c3-7042-471f-9512-85ab99e55b80">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="string(@contextConductionInd)='true'">(CDAPregnancyInformationEntry3): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900865-2012-03-10T000000.html"
              test="string(@typeCode)='COMP'">(CDAPregnancyInformationEntry3): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (Actueleaantalfoetus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Actueleaantalfoetus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-5845bf49-90de-4c44-b305-f4096f40014b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Actueleaantalfoetus): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Actueleaantalfoetus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Actueleaantalfoetus): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Actueleaantalfoetus): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:code)&lt;=1">(Actueleaantalfoetus): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Actueleaantalfoetus): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Actueleaantalfoetus): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(Actueleaantalfoetus): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Actueleaantalfoetus): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-ebc71b8a-e550-4b4a-94d6-bb0c5620be49">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-3035cb6c-1614-4e4e-b2f8-6796c7f0d4a7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or (@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Actueleaantalfoetus): de waarde van @code/@codeSystem MOET ''NFetusCur' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-5adc6d6f-7f5e-464e-8432-5cf0c25bca80">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-fab03768-77f1-4448-82bf-5264d11ff778">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=9))">(Actueleaantalfoetus): value MOET in bereik [0..9] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(Actueleaantalfoetus): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.3
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (cda-ctk)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-03ea3b10-eac3-48ba-85ed-4e533338d0bb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(cda-ctk): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.3-2012-03-11T000000.html"
              test="string(@typeCode)='COMP'">(cda-ctk): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900861
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody
Item: (CDAFetusSpecificInformationSectionCTRA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900861
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAFetusSpecificInformationSectionCTRA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900861
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: (CDAFetusSpecificInformationSectionCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section"
         id="tmp-465ef4cd-04a0-411b-b338-c2f834f017ed">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAFetusSpecificInformationSectionCTRA): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="count(hl7:code)&lt;=1">(CDAFetusSpecificInformationSectionCTRA): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="count(hl7:title)&gt;=1 ">(CDAFetusSpecificInformationSectionCTRA): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="count(hl7:title)&lt;=1">(CDAFetusSpecificInformationSectionCTRA): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="count(hl7:text)&gt;=1 ">(CDAFetusSpecificInformationSectionCTRA): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="count(hl7:text)&lt;=1">(CDAFetusSpecificInformationSectionCTRA): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 ">(CDAFetusSpecificInformationSectionCTRA): element hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(CDAFetusSpecificInformationSectionCTRA): element hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900861
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code
Item: (CDAFetusSpecificInformationSectionCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:code"
         id="tmp-6c1a9bcb-a61f-4f33-bd23-1bb3c2e14d65">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAFetusSpecificInformationSectionCTRA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="@nullFlavor or (@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1')">(CDAFetusSpecificInformationSectionCTRA): de waarde van @code/@codeSystem MOET ''12130-1' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900861
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title
Item: (CDAFetusSpecificInformationSectionCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:title"
         id="tmp-f964eb3d-a2fd-4ac6-8b5a-9a3b9b60b055">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAFetusSpecificInformationSectionCTRA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="text()='Foetusspecifiek'">(CDAFetusSpecificInformationSectionCTRA): de element content van hl7:title MOET ''Foetusspecifiek'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900861
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:text
Item: (CDAFetusSpecificInformationSectionCTRA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900861
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAFetusSpecificInformationSectionCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-d372b881-bd07-48c3-bc0b-8702c832833f">
      <extends rule="tmp-904ecf9b-e9cb-4ccb-bcdb-4883ce0f4b54"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="string(@contextConductionInd)='true'">(CDAFetusSpecificInformationSectionCTRA): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900861-2012-03-10T000000.html"
              test="string(@typeCode)='DRIV'">(CDAFetusSpecificInformationSectionCTRA): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900862
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section
Item: (CDAFetusSpecificInformationEntryCTRA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900862
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule id="tmp-904ecf9b-e9cb-4ccb-bcdb-4883ce0f4b54" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:organizer)&gt;=1 ">(CDAFetusSpecificInformationEntryCTRA): element hl7:organizer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:organizer)&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:organizer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900862
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer"
         id="tmp-9bd81670-66ac-49f2-8b7c-69f080a9e932">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="string(@classCode)='CLUSTER'">(CDAFetusSpecificInformationEntryCTRA): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="string(@moodCode)='EVN'">(CDAFetusSpecificInformationEntryCTRA): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAFetusSpecificInformationEntryCTRA): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:code)&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(CDAFetusSpecificInformationEntryCTRA): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:participant[@typeCode='SBJ'])&gt;=1 and not(hl7:participant[@typeCode='SBJ']/@nullFlavor)">(CDAFetusSpecificInformationEntryCTRA): element hl7:participant[@typeCode='SBJ'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:participant[@typeCode='SBJ'])&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:participant[@typeCode='SBJ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">(CDAFetusSpecificInformationEntryCTRA): element hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/@nullFlavor)">(CDAFetusSpecificInformationEntryCTRA): element hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]])&lt;=1">(CDAFetusSpecificInformationEntryCTRA): element hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900862
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:code
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:code"
         id="tmp-2f78a04f-8e3f-4606-a1bb-97d77c5824e8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAFetusSpecificInformationEntryCTRA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="@nullFlavor or (@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1')">(CDAFetusSpecificInformationEntryCTRA): de waarde van @code/@codeSystem MOET ''12130-1' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900862
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:statusCode
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:statusCode"
         id="tmp-8e4fe6aa-89c3-4628-9d06-43ee1fa60213">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAFetusSpecificInformationEntryCTRA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="@nullFlavor or (@code='completed')">(CDAFetusSpecificInformationEntryCTRA): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900832
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (CDAFetusParticipant)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900832
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (CDAFetusParticipant)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900832
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']
Item: (CDAFetusParticipant)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']"
         id="tmp-17a1483e-7bd6-4767-94ac-7698fc62c370">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900832-2012-03-10T000000.html"
              test="string(@typeCode)='SBJ'">(CDAFetusParticipant): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900832-2012-03-10T000000.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(CDAFetusParticipant): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900832-2012-03-10T000000.html"
              test="count(hl7:participantRole)&lt;=1">(CDAFetusParticipant): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900832
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']/hl7:participantRole
Item: (CDAFetusParticipant)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']/hl7:participantRole"
         id="tmp-b9f34d93-7d71-4579-ab3a-6b8c7db81c0d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900832-2012-03-10T000000.html"
              test="string(@classCode)='PRS'">(CDAFetusParticipant): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900832-2012-03-10T000000.html"
              test="count(hl7:id)&lt;=1">(CDAFetusParticipant): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900832-2012-03-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAFetusParticipant): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900832-2012-03-10T000000.html"
              test="count(hl7:code)&lt;=1">(CDAFetusParticipant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900832
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']/hl7:participantRole/hl7:id
Item: (CDAFetusParticipant)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900832
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']/hl7:participantRole/hl7:code
Item: (CDAFetusParticipant)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:participant[@typeCode='SBJ']/hl7:participantRole/hl7:code"
         id="tmp-c1e383e1-e2de-4540-a22c-ddfa523855bc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900832-2012-03-10T000000.html"
              test="@nullFlavor or (@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')">(CDAFetusParticipant): de waarde van @code/@codeSystem MOET ''CHILD' codeSystem '2.16.840.1.113883.5.111'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900862
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-6094fde3-b3a3-4983-8cbd-ccea2b01f9c3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="string(@contextConductionInd)='true'">(CDAFetusSpecificInformationEntryCTRA): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="string(@typeCode)='COMP'">(CDAFetusSpecificInformationEntryCTRA): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900402
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900402
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900402
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-76627526-0174-4505-a418-454d43809c46">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="count(hl7:code)&lt;=1">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Foetusvolgletterzoalsantepartumgehanteerd): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900402
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-a0516024-cea4-45eb-b090-531769d0392c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Foetusvolgletterzoalsantepartumgehanteerd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="@nullFlavor or (@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1')">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @code/@codeSystem MOET ''11951-1' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900402
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (Foetusvolgletterzoalsantepartumgehanteerd)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11951-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-0f2b483c-4a4b-4c25-83a7-381b32e498a1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Foetusvolgletterzoalsantepartumgehanteerd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.72-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.72-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Foetusvolgletterzoalsantepartumgehanteerd): de waarde van @code MOET worden gekozen uit waardenlijst FoetusVolgletter DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900402-2011-01-28T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Foetusvolgletterzoalsantepartumgehanteerd): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst FoetusVolgletter DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900862
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]
Item: (CDAFetusSpecificInformationEntryCTRA)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]"
         id="tmp-bca96945-7396-480c-8f62-9fc561bf4f20">
      <extends rule="tmp-974de24a-e8fd-4dd0-8fd7-ce92ba801a47"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900862-2012-03-10T000000.html"
              test="string(@typeCode)='COMP'">(CDAFetusSpecificInformationEntryCTRA): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer
Item: (RiskAssessment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]
Item: (RiskAssessment)
-->
<rule id="tmp-974de24a-e8fd-4dd0-8fd7-ce92ba801a47" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:observation)&gt;=1 ">(RiskAssessment): element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:observation)&lt;=1">(RiskAssessment): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation"
         id="tmp-5e857875-efee-413d-b387-71f09187bb24">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@classCode)='OBS'">(RiskAssessment): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@moodCode)='EVN'">(RiskAssessment): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(RiskAssessment): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:id)&lt;=1">(RiskAssessment): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RiskAssessment): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:code)&lt;=1">(RiskAssessment): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:statusCode)&lt;=1">(RiskAssessment): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:methodCode)&gt;=1 and not(hl7:methodCode/@nullFlavor)">(RiskAssessment): element hl7:methodCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:methodCode)&lt;=1">(RiskAssessment): element hl7:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:participant[@typeCode='DEV'])&gt;=1 and not(hl7:participant[@typeCode='DEV']/@nullFlavor)">(RiskAssessment): element hl7:participant[@typeCode='DEV'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:participant[@typeCode='DEV'])&lt;=1">(RiskAssessment): element hl7:participant[@typeCode='DEV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:entryRelationship[hl7:organizer])&gt;=1 and not(hl7:entryRelationship[hl7:organizer]/@nullFlavor)">(RiskAssessment): element hl7:entryRelationship[hl7:organizer] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:entryRelationship[hl7:organizer])&lt;=1">(RiskAssessment): element hl7:entryRelationship[hl7:organizer] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:id
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:id"
         id="tmp-b3f03c2d-3f8b-490f-bd37-7a46b647ecfb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="concat(@root, @extension) = concat (//hl7:documentationOf/hl7:serviceEvent/hl7:id/@root, //hl7:documentationOf/hl7:serviceEvent/hl7:id/@extension)">(RiskAssessment):  The id of the risk assessment SHALL be the same as documentationOf-&gt;serviceEvent.id </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:code
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:code"
         id="tmp-a7838f1a-1460-4bd2-a32e-f5dffcc6613e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38')">(RiskAssessment): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.13.38'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:statusCode
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:statusCode"
         id="tmp-e9c48148-a4ed-471a-9b55-464207d9c1fd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or (@code='completed')">(RiskAssessment): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:methodCode
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:methodCode"
         id="tmp-43c225fd-4479-43c7-be53-81180acc0724">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.78-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.78-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(RiskAssessment): de waarde van @code MOET worden gekozen uit waardenlijst CombiRiskMethod DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(RiskAssessment): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CombiRiskMethod DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900849
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (SoftwareApplicationRiskAssessment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900849
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']
Item: (SoftwareApplicationRiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']"
         id="tmp-ba415717-e008-44c7-ae80-813b97309b09">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="string(@typeCode)='DEV'">(SoftwareApplicationRiskAssessment): de waarde van @typeCode MOET 'DEV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(SoftwareApplicationRiskAssessment): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="count(hl7:participantRole)&lt;=1">(SoftwareApplicationRiskAssessment): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900849
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole
Item: (SoftwareApplicationRiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole"
         id="tmp-dce48bfd-1f78-458d-b5f7-6b9e5fb0a108">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="count(hl7:playingDevice)&gt;=1 and not(hl7:playingDevice/@nullFlavor)">(SoftwareApplicationRiskAssessment): element hl7:playingDevice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="count(hl7:playingDevice)&lt;=1">(SoftwareApplicationRiskAssessment): element hl7:playingDevice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900849
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole/hl7:playingDevice
Item: (SoftwareApplicationRiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole/hl7:playingDevice"
         id="tmp-040496b3-5faa-4a59-916d-a088aed4e292">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="string(@determinerCode)='INSTANCE'">(SoftwareApplicationRiskAssessment): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="string(@classCode)='DEV'">(SoftwareApplicationRiskAssessment): de waarde van @classCode MOET 'DEV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="count(hl7:softwareName)&gt;=1 and not(hl7:softwareName/@nullFlavor)">(SoftwareApplicationRiskAssessment): element hl7:softwareName is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="count(hl7:softwareName)&lt;=1">(SoftwareApplicationRiskAssessment): element hl7:softwareName komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900849
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole/hl7:playingDevice/hl7:softwareName
Item: (SoftwareApplicationRiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:participant[@typeCode='DEV']/hl7:participantRole/hl7:playingDevice/hl7:softwareName"
         id="tmp-1f86495a-c393-42ce-b372-6699f0897492">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='SC' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(SoftwareApplicationRiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.79-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.79-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SoftwareApplicationRiskAssessment): de waarde van @code MOET worden gekozen uit waardenlijst CombiRiskSystem DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900849-2012-06-26T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SoftwareApplicationRiskAssessment): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CombiRiskSystem DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-2be82f1c-4459-4a89-b9a1-65bec2794ede">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900842
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (Aprioririsk21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900842
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Aprioririsk21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900842
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-2f12136c-dc84-44a2-b6cd-2aad501eb02c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(Aprioririsk21): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(Aprioririsk21): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Aprioririsk21): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Aprioririsk21): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(Aprioririsk21): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(Aprioririsk21): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Aprioririsk21): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900842
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-ac815061-a5ce-484b-bad0-d73525a10602">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900842
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-df89d087-ca67-4b02-ba42-33dc4eae10d7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="@nullFlavor or (@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Aprioririsk21): de waarde van @code/@codeSystem MOET ''APrioriRisk21' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900842
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-8bc11daf-224a-457d-877e-edff1a2ca372">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(Aprioririsk21): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="count(hl7:numerator)&lt;=1">(Aprioririsk21): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(Aprioririsk21): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="count(hl7:denominator)&lt;=1">(Aprioririsk21): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900842
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-6bc58af1-6814-43c8-872d-82f18b2be6c3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Aprioririsk21): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Aprioririsk21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900842
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Aprioririsk21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-1bf86b55-3346-4a73-9790-2ef7686f4dd8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Aprioririsk21): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900842-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Aprioririsk21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-8dd7c875-cb83-49bd-bc87-ff5df9526271">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900841
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (Aprioririsk18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900841
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Aprioririsk18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900841
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-8231338a-41c2-410d-906b-002e1a47312e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(Aprioririsk18): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(Aprioririsk18): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Aprioririsk18): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Aprioririsk18): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(Aprioririsk18): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(Aprioririsk18): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Aprioririsk18): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900841
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-d0fbc3c1-5b80-46be-b1f3-38d570bbafe9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900841
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-841fde24-6d41-4c37-b084-94cb6f6ff42b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="@nullFlavor or (@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Aprioririsk18): de waarde van @code/@codeSystem MOET ''APrioriRisk18' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900841
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-e8b880b7-e366-469a-a4aa-8c9d978059a8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(Aprioririsk18): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="count(hl7:numerator)&lt;=1">(Aprioririsk18): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(Aprioririsk18): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="count(hl7:denominator)&lt;=1">(Aprioririsk18): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900841
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-ed280056-218f-4c88-87fd-9ade399d8872">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Aprioririsk18): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Aprioririsk18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900841
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Aprioririsk18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-5209a752-6303-4854-b1a0-767aeb9aa9b5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Aprioririsk18): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900841-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Aprioririsk18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-17cb9a7a-ee1c-4ed5-b7ed-ff4e27d242c3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900840
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (Aprioririsk13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900840
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Aprioririsk13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900840
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-fff5b888-7ed1-4d3e-b5f4-7b4ad594d7c7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(Aprioririsk13): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(Aprioririsk13): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Aprioririsk13): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Aprioririsk13): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(Aprioririsk13): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(Aprioririsk13): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Aprioririsk13): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900840
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-f2e183c0-9dc7-48c4-bda7-424c29a0d344">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900840
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-0cd82e3d-793f-4e39-a505-dfec8a14b102">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="@nullFlavor or (@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Aprioririsk13): de waarde van @code/@codeSystem MOET ''APrioriRisk13' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900840
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-df5a446a-d274-46ab-b9c2-ced26b840b60">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(Aprioririsk13): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="count(hl7:numerator)&lt;=1">(Aprioririsk13): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(Aprioririsk13): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="count(hl7:denominator)&lt;=1">(Aprioririsk13): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900840
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-ea60e85a-5ee7-4197-9d2b-5dc632eab707">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Aprioririsk13): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Aprioririsk13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900840
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Aprioririsk13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='APrioriRisk13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-4f7826fd-ec04-4fb0-b994-f2acfc180274">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Aprioririsk13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Aprioririsk13): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900840-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Aprioririsk13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-87ff42d2-1902-4109-aa12-d3605bce1511">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900845
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (RiskTrisomy21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900845
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskTrisomy21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900845
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-60dc1bfd-3c63-4c29-ab62-cc74da3520fb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(RiskTrisomy21): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(RiskTrisomy21): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(RiskTrisomy21): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RiskTrisomy21): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(RiskTrisomy21): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(RiskTrisomy21): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(RiskTrisomy21): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900845
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-e286c2aa-ab45-4443-a0b9-042364fdd8e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900845
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-74b65da1-25a2-42df-9d9a-881195d38680">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="@nullFlavor or (@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(RiskTrisomy21): de waarde van @code/@codeSystem MOET ''RiskTrisomy21' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900845
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-f205f541-3aae-4dff-945a-d710948860ad">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(RiskTrisomy21): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="count(hl7:numerator)&lt;=1">(RiskTrisomy21): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(RiskTrisomy21): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="count(hl7:denominator)&lt;=1">(RiskTrisomy21): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900845
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-9e3a0399-42dc-4f66-8ae9-18eb6faa1429">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(RiskTrisomy21): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(RiskTrisomy21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900845
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (RiskTrisomy21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-6c8bbeb5-b535-4cdb-8a74-0ea3c1dc805b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(RiskTrisomy21): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900845-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(RiskTrisomy21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-01348477-e009-4753-b6f0-f1b17d4913f4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900844
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (RiskTrisomy18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900844
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskTrisomy18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900844
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-49cc0d71-5731-4594-a2e2-949b684fa57e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(RiskTrisomy18): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(RiskTrisomy18): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(RiskTrisomy18): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RiskTrisomy18): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(RiskTrisomy18): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(RiskTrisomy18): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(RiskTrisomy18): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900844
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-cb6efdbb-5bbd-45c9-9c77-3714e7af5174">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900844
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-19efb749-7efb-4057-81a9-b871f58f60cd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="@nullFlavor or (@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(RiskTrisomy18): de waarde van @code/@codeSystem MOET ''RiskTrisomy18' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900844
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-3de7c8a6-94b4-485e-8c87-431c03f4c482">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(RiskTrisomy18): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="count(hl7:numerator)&lt;=1">(RiskTrisomy18): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(RiskTrisomy18): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="count(hl7:denominator)&lt;=1">(RiskTrisomy18): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900844
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-0492aecf-13ac-48f9-a10e-47665ee9a4ac">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(RiskTrisomy18): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(RiskTrisomy18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900844
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (RiskTrisomy18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-8840f46c-cc62-4c3a-9d68-808e2716d59d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(RiskTrisomy18): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900844-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(RiskTrisomy18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-14bede23-713a-4fe0-995e-3fa085a34589">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900843
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation
Item: (RiskTrisomy13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900843
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskTrisomy13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900843
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-5f17c444-c9bb-4ab9-bc78-8aa3edf46138">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(RiskTrisomy13): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(RiskTrisomy13): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(RiskTrisomy13): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RiskTrisomy13): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(RiskTrisomy13): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(RiskTrisomy13): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(RiskTrisomy13): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900843
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-f2be0e89-8d95-48b6-a020-4d74fb5a5c24">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900843
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-3b603033-f72b-49f1-a7ac-028a1b51b2b7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="@nullFlavor or (@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(RiskTrisomy13): de waarde van @code/@codeSystem MOET ''RiskTrisomy13' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900843
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-353d1304-2d0b-4dd6-a7e0-ca30d05b7b61">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(RiskTrisomy13): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="count(hl7:numerator)&lt;=1">(RiskTrisomy13): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(RiskTrisomy13): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="count(hl7:denominator)&lt;=1">(RiskTrisomy13): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900843
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-4a280a69-429e-4249-8480-f31d5f67848a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(RiskTrisomy13): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(RiskTrisomy13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900843
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (RiskTrisomy13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='RiskTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-08a0363a-3328-460b-858d-c428871d843b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskTrisomy13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(RiskTrisomy13): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900843-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(RiskTrisomy13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]"
         id="tmp-21f48e37-4e05-4a43-87e9-831cf596a25e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='DRIV'">(RiskAssessment): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">(RiskAssessment): element hl7:organizer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:organizer)&lt;=1">(RiskAssessment): element hl7:organizer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer"
         id="tmp-caee28dc-2082-487e-9ce4-fa019a12195b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@classCode)='CLUSTER'">(RiskAssessment): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@moodCode)='EVN'">(RiskAssessment): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:statusCode)&lt;=1">(RiskAssessment): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/@nullFlavor)">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">(RiskAssessment): element hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:statusCode
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:statusCode"
         id="tmp-8689e516-cf81-4d97-bb9b-9153378bb5a8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or (@code='completed')">(RiskAssessment): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-539677ed-9c0c-4812-a975-c41302ed075f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900848
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Cutofft21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900848
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Cutofft21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900848
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-c8a6bcae-bbd4-4e0a-bf52-47bfe7952c88">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(Cutofft21): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(Cutofft21): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Cutofft21): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Cutofft21): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(Cutofft21): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(Cutofft21): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Cutofft21): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900848
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-0bec8822-96fb-433a-a431-373ecf2e41e5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900848
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-bcfa61ae-a092-4371-a2e9-07f5c836a2ad">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="@nullFlavor or (@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Cutofft21): de waarde van @code/@codeSystem MOET ''CutOffTrisomy21' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900848
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-b1daac10-62f5-4b35-ac04-555a14138ca3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(Cutofft21): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="count(hl7:numerator)&lt;=1">(Cutofft21): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(Cutofft21): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="count(hl7:denominator)&lt;=1">(Cutofft21): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900848
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-8ec9ffd1-0d38-4a9c-9dd3-8d9ca2551820">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Cutofft21): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Cutofft21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900848
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Cutofft21)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy21' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-b84f2ff2-882a-4733-946e-a25cb3355eb1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Cutofft21): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900848-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Cutofft21): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-a1564523-470c-4598-99f5-e67d552d3a93">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900847
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Cutofft18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900847
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Cutofft18)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900847
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-b075a33f-e067-4347-90ef-51b5a20fbd4e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(Cutofft18): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(Cutofft18): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Cutofft18): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Cutofft18): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(Cutofft18): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(Cutofft18): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Cutofft18): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900847
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-2fded24e-9b10-495b-90e0-535ba64f4e8c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900847
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-0c3ed598-1231-43be-bad1-f88becd84b97">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="@nullFlavor or (@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Cutofft18): de waarde van @code/@codeSystem MOET ''CutOffTrisomy18' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900847
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-8000c592-b069-4a98-94fc-c16fcb56a656">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(Cutofft18): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="count(hl7:numerator)&lt;=1">(Cutofft18): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(Cutofft18): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="count(hl7:denominator)&lt;=1">(Cutofft18): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900847
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-bdef7267-a522-4eb7-b71e-528b667db9ed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Cutofft18): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Cutofft18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900847
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Cutofft18)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy18' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-cb3916f8-5244-45ed-b4bf-68e83fedceca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft18): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Cutofft18): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900847-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Cutofft18): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-72020a06-c44b-4d99-b18c-bf8a93ab9b30">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900846
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Cutofft13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900846
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Cutofft13)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900846
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-ec1857b2-ed35-4dce-a91b-222ccc52a550">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(Cutofft13): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(Cutofft13): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Cutofft13): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Cutofft13): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(Cutofft13): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(Cutofft13): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Cutofft13): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900846
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-1404425f-8c88-4dd2-bf37-7a8c34c6a42f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900846
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-928d4a60-ee9e-47ad-bc38-8425eea6d4d4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="@nullFlavor or (@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Cutofft13): de waarde van @code/@codeSystem MOET ''CutOffTrisomy13' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900846
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-f1785ffe-b151-4f16-a8f4-61f0fb140c0a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='RTO' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "RTO" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="RTO"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(Cutofft13): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="count(hl7:numerator)&lt;=1">(Cutofft13): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(Cutofft13): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="count(hl7:denominator)&lt;=1">(Cutofft13): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900846
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:numerator"
         id="tmp-885450ff-8517-434e-9616-c3d79c868cf9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=1))">(Cutofft13): value MOET in bereik [1..1] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Cutofft13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900846
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator
Item: (Cutofft13)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CutOffTrisomy13' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value/hl7:denominator"
         id="tmp-9bfddd18-4167-4d8a-a0cd-b2da8054d976">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Cutofft13): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(Cutofft13): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900846-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Cutofft13): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-15c0b13b-190c-435c-8eb1-222e68704540">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900201
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (ActualPregnancyDuration)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900201
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (ActualPregnancyDuration)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900201
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (ActualPregnancyDuration)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-fdd107bf-dd6a-4f8e-91a1-efb98a365f35">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="string(@classCode)='OBS'">(ActualPregnancyDuration): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="string(@moodCode)='EVN'">(ActualPregnancyDuration): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="count(hl7:id)&lt;=1">(ActualPregnancyDuration): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ActualPregnancyDuration): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="count(hl7:code)&lt;=1">(ActualPregnancyDuration): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="count(hl7:value)&gt;=1 ">(ActualPregnancyDuration): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="count(hl7:value)&lt;=1">(ActualPregnancyDuration): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900201
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (ActualPregnancyDuration)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-0b051ea4-e367-4e3d-8708-d7b8b232f6fa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ActualPregnancyDuration): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900201
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (ActualPregnancyDuration)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-6c03ebfd-f1c2-4cd1-9965-90dcc3ca7e29">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ActualPregnancyDuration): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="@nullFlavor or (@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1')">(ActualPregnancyDuration): de waarde van @code/@codeSystem MOET ''18185-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900201
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (ActualPregnancyDuration)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='18185-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-b4e51615-bed3-4e1e-a488-75531dde59a1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ActualPregnancyDuration): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="(@nullFlavor or (@unit='d' and number($theValue)&gt;=0))">(ActualPregnancyDuration): value MOET eenheid 'd' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="$digitok or @nullFlavor">(ActualPregnancyDuration): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900201-2011-12-06T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(ActualPregnancyDuration): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-12666ef5-8d24-4f36-9145-c52ab41407c6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Actueleaantalfoetus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Actueleaantalfoetus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-6de7d5b4-e491-4270-99ec-e8e99cfb36ef">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(Actueleaantalfoetus): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(Actueleaantalfoetus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:id)&lt;=1">(Actueleaantalfoetus): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Actueleaantalfoetus): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:code)&lt;=1">(Actueleaantalfoetus): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Actueleaantalfoetus): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Actueleaantalfoetus): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(Actueleaantalfoetus): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Actueleaantalfoetus): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-6d4d99c2-7dd4-4fda-bbbb-d79eacbab8fa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-bcb995b6-2fd6-4898-a11e-4e4fc61cf961">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or (@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Actueleaantalfoetus): de waarde van @code/@codeSystem MOET ''NFetusCur' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-e4d6088d-fcff-4b44-b23c-ecb19ccdf6ad">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900165
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Actueleaantalfoetus)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='NFetusCur' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-8dd920c5-e12f-4d26-a558-7002db6f6d2f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Actueleaantalfoetus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=9))">(Actueleaantalfoetus): value MOET in bereik [0..9] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900165-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(Actueleaantalfoetus): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-2993bd01-a8d9-4b0a-9853-b520f00ea34a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900087
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Chorioniciteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900087
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Chorioniciteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900087
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Chorioniciteit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-b15220c2-e0b7-41f4-8231-bc786e63ed82">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="string(@classCode)='OBS'">(Chorioniciteit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="string(@moodCode)='EVN'">(Chorioniciteit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Chorioniciteit): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="count(hl7:code)&lt;=1">(Chorioniciteit): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(Chorioniciteit): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="count(hl7:value)&lt;=1">(Chorioniciteit): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900087
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Chorioniciteit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-39984d2b-5f5a-4fba-950b-80d340703608">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Chorioniciteit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="@nullFlavor or (@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Chorioniciteit): de waarde van @code/@codeSystem MOET ''Chorionic' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900087
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Chorioniciteit)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='Chorionic' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-b48ad6cf-aaf8-45bc-93df-2fee509394c7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Chorioniciteit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.9-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.9-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Chorioniciteit): de waarde van @code MOET worden gekozen uit waardenlijst Chorioniciteit DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900087-2009-10-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Chorioniciteit): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Chorioniciteit DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-977ef610-cfee-4a8a-8bce-39785d5f1cb2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (RiskAssessment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-022c1b31-600b-4b17-9c34-0ed012a11260">
      <extends rule="tmp-591782c7-0f16-498a-a9e1-fc7deadd32ee"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=100 and number($theValue)&lt;=270))">(RiskAssessment): value MOET in bereik [100..270] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="$digitok or @nullFlavor">(RiskAssessment): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(RiskAssessment): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900570
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (BodyHeight)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900570
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (BodyHeight)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900570
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (BodyHeight)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-be7e4f67-d10e-450d-956d-a722ca704838">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(BodyHeight): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(BodyHeight): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(BodyHeight): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="count(hl7:code)&lt;=1">(BodyHeight): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(BodyHeight): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(BodyHeight): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900570
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (BodyHeight)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-4fc158af-0c1c-4bce-879d-c34f1b518b84">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BodyHeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="@nullFlavor or (@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1')">(BodyHeight): de waarde van @code/@codeSystem MOET ''3137-7' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900570
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (BodyHeight)
-->
<rule id="tmp-591782c7-0f16-498a-a9e1-fc7deadd32ee" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BodyHeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="(@nullFlavor or (@unit='cm' and number($theValue)&gt;=0 and number($theValue)&lt;=270))">(BodyHeight): value MOET eenheid 'cm' gebruiken en in bereik [0..270] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(BodyHeight): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900570-2011-01-28T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BodyHeight): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-0ea36726-fa8a-46f8-9d3a-88b2d857426d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (RiskAssessment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-6916034b-cef8-4079-a737-074ba6bd66d1">
      <extends rule="tmp-45c07936-e847-4f94-83d7-9a5ad1156bd9"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=25.0 and number($theValue)&lt;=249.9))">(RiskAssessment): value MOET in bereik [25.0..249.9] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="$digitok or @nullFlavor">(RiskAssessment): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(RiskAssessment): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900571
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (BodyWeight)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900571
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (BodyWeight)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900571
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (BodyWeight)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-69ddf50c-4c29-43ad-b4ad-c247786d2fb7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(BodyWeight): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(BodyWeight): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(BodyWeight): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="count(hl7:code)&lt;=1">(BodyWeight): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(BodyWeight): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(BodyWeight): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900571
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (BodyWeight)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-8b3caa6a-6a77-48e3-bbb3-88779518b27d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="@nullFlavor or (@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')">(BodyWeight): de waarde van @code/@codeSystem MOET ''3141-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900571
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (BodyWeight)
-->
<rule id="tmp-45c07936-e847-4f94-83d7-9a5ad1156bd9" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="(@nullFlavor or (@unit='kg' and number($theValue)&gt;=0 and number($theValue)&lt;=249.9))">(BodyWeight): value MOET eenheid 'kg' gebruiken en in bereik [0..249.9] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(BodyWeight): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900571-2011-01-28T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BodyWeight): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-05f68f07-dee3-4a04-8b83-d4e6a661ac99">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900858
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (DiabetesTypeI)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900858
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (DiabetesTypeI)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900858
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: (DiabetesTypeI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-eaaae68d-4cd7-4051-9627-5568c08d80a9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(DiabetesTypeI): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(DiabetesTypeI): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(DiabetesTypeI): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(DiabetesTypeI): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(DiabetesTypeI): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(DiabetesTypeI): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(DiabetesTypeI): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900858
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id
Item: (DiabetesTypeI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id"
         id="tmp-93f15e37-70b3-40c9-a9ba-e8181e247264">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(DiabetesTypeI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900858
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: (DiabetesTypeI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-991dd223-92a3-4a41-8df2-4ecf9bf75e04">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(DiabetesTypeI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="@nullFlavor or (@code='46635009' and @codeSystem='2.16.840.1.113883.6.96')">(DiabetesTypeI): de waarde van @code/@codeSystem MOET ''46635009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900858
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: (DiabetesTypeI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='46635009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-3e51686c-a46b-48c9-a81a-1e258736a5fa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900858-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(DiabetesTypeI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-f34737ac-71a5-4f0b-895c-05b3683f0929">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900859
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (IVFICSI)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900859
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (IVFICSI)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900859
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: (IVFICSI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-4bb1126c-ec8b-43ab-a173-4d90135be887">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(IVFICSI): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(IVFICSI): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(IVFICSI): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(IVFICSI): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(IVFICSI): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(IVFICSI): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(IVFICSI): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900859
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id
Item: (IVFICSI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id"
         id="tmp-f0f45e70-c6b3-4797-a358-915185055d77">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(IVFICSI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900859
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: (IVFICSI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-e23f74e6-9b60-4800-8b0f-3fe2e388f9c5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(IVFICSI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="@nullFlavor or (@code='52637005' and @codeSystem='2.16.840.1.113883.6.96')">(IVFICSI): de waarde van @code/@codeSystem MOET ''52637005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900859
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: (IVFICSI)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='52637005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-8ec35b5a-7244-4063-8397-2e2152e37599">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900859-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(IVFICSI): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-d8571456-c9a4-40ad-b7a8-10803ab569f7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900860
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (TrisomyInHistory)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900860
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (TrisomyInHistory)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900860
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (TrisomyInHistory)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-4434bfff-f17b-4900-8ef8-8d68a3363706">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(TrisomyInHistory): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(TrisomyInHistory): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(TrisomyInHistory): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TrisomyInHistory): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(TrisomyInHistory): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(TrisomyInHistory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(TrisomyInHistory): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900860
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (TrisomyInHistory)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-42112847-a799-4c63-807c-91983a60942f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TrisomyInHistory): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900860
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (TrisomyInHistory)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-70225e4c-78c9-4042-b3ad-d6ffdbe91f4c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TrisomyInHistory): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="@nullFlavor or (@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(TrisomyInHistory): de waarde van @code/@codeSystem MOET ''TrisomyAnam' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900860
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (TrisomyInHistory)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TrisomyAnam' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-8d988fd5-be50-4b8e-b417-7dc3fc56a38f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900860-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TrisomyInHistory): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-a5fac6a3-c474-4284-ba44-7499fff1268c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900857
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (TobaccoSmoker)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900857
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: (TobaccoSmoker)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900857
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: (TobaccoSmoker)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-2bd9a79d-35f6-40fa-8195-da90f271aa2a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(TobaccoSmoker): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(TobaccoSmoker): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(TobaccoSmoker): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TobaccoSmoker): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(TobaccoSmoker): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(TobaccoSmoker): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(TobaccoSmoker): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900857
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id
Item: (TobaccoSmoker)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:id"
         id="tmp-b1171349-c8d6-46c2-ba9d-2e74138fbc81">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TobaccoSmoker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900857
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: (TobaccoSmoker)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-7464c4f9-eb30-40d8-aecd-fb64c0c25d1a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TobaccoSmoker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="@nullFlavor or (@code='77176002' and @codeSystem='2.16.840.1.113883.6.96')">(TobaccoSmoker): de waarde van @code/@codeSystem MOET ''77176002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900857
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: (TobaccoSmoker)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='77176002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-de2ad70b-002f-47b5-a553-fb26be43876d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900857-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TobaccoSmoker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-10b18b54-9f5a-4c30-8ffa-7102f8e78429">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900853
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Ethnicgroup)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900853
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (Ethnicgroup)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900853
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (Ethnicgroup)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-ab83a576-6f38-4d4d-be00-f22177e73248">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(Ethnicgroup): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(Ethnicgroup): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Ethnicgroup): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Ethnicgroup): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(Ethnicgroup): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(Ethnicgroup): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Ethnicgroup): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900853
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (Ethnicgroup)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-daac44ae-b714-432c-8824-54166cd9ebb9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Ethnicgroup): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900853
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (Ethnicgroup)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-9592f50a-3814-4fd0-afe8-4d7b8ecdffcc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Ethnicgroup): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="@nullFlavor or (@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1')">(Ethnicgroup): de waarde van @code/@codeSystem MOET ''42784-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900853
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (Ethnicgroup)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-0f953f88-e5a3-4f43-8615-96bf25362e81">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Ethnicgroup): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.11.3-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Ethnicgroup): de waarde van @code MOET worden gekozen uit waardenlijst EthnicGroup DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900853-2012-06-26T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Ethnicgroup): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst EthnicGroup DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-80507801-d807-4f5c-aea1-98aaeee4eea1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900854
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (PAPPAconcentrationinmiul)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900854
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (PAPPAconcentrationinmiul)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900854
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (PAPPAconcentrationinmiul)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-efa12c01-eb37-430a-bb10-3055fe2b91f6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(PAPPAconcentrationinmiul): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(PAPPAconcentrationinmiul): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(PAPPAconcentrationinmiul): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(PAPPAconcentrationinmiul): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(PAPPAconcentrationinmiul): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(PAPPAconcentrationinmiul): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(PAPPAconcentrationinmiul): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900854
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (PAPPAconcentrationinmiul)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-ac68d264-60f6-4a04-9aca-9c0201182dbd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PAPPAconcentrationinmiul): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900854
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (PAPPAconcentrationinmiul)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-6d21b83d-a45f-4a7e-8ce0-5f0d71169b0b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PAPPAconcentrationinmiul): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="@nullFlavor or (@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1')">(PAPPAconcentrationinmiul): de waarde van @code/@codeSystem MOET ''32046-5' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900854
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (PAPPAconcentrationinmiul)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32046-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-3d21955c-eaac-4875-9a99-1c863c23508d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PAPPAconcentrationinmiul): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="(@nullFlavor or (@unit='m[iU]/l'))">(PAPPAconcentrationinmiul): value MOET eenheid 'm[iU]/l' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(PAPPAconcentrationinmiul): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900854-2012-06-26T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(PAPPAconcentrationinmiul): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-adaaf314-1be9-448b-ac73-ba4106650f9a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900856
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (PAPPAconcentrationinmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900856
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (PAPPAconcentrationinmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900856
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (PAPPAconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-2603f8e6-fe5c-40a2-b06d-8b9468d6f771">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(PAPPAconcentrationinmom): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(PAPPAconcentrationinmom): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(PAPPAconcentrationinmom): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(PAPPAconcentrationinmom): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(PAPPAconcentrationinmom): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(PAPPAconcentrationinmom): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(PAPPAconcentrationinmom): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900856
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (PAPPAconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-f9995d57-58a1-4a96-92cf-428f84705cbe">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PAPPAconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900856
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (PAPPAconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-0366e8da-a48b-45c2-931a-2a65b3c26dd6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PAPPAconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="@nullFlavor or (@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1')">(PAPPAconcentrationinmom): de waarde van @code/@codeSystem MOET ''32123-2' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900856
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (PAPPAconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32123-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-fded8037-7cff-4338-b74e-822b8ef75865">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PAPPAconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="(@nullFlavor or (@unit='{MoM}' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{2,99}$'))))">(PAPPAconcentrationinmom): value MOET eenheid '{MoM}' gebruiken en tot op minstens 2 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(PAPPAconcentrationinmom): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900856-2012-06-26T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(PAPPAconcentrationinmom): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-5b679403-dc24-4abf-b235-75d069158bd6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900850
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Freebetahcginngml)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900850
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (Freebetahcginngml)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900850
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (Freebetahcginngml)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-d9b90f96-7ac3-4937-9ff2-46ff4eb1d687">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(Freebetahcginngml): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(Freebetahcginngml): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Freebetahcginngml): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Freebetahcginngml): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(Freebetahcginngml): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(Freebetahcginngml): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Freebetahcginngml): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900850
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (Freebetahcginngml)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-d31f306d-fa04-4984-8e55-9d8cef00bcd2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Freebetahcginngml): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900850
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (Freebetahcginngml)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-efffff64-324d-4e72-b713-04d4511fa1d7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Freebetahcginngml): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="@nullFlavor or (@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1')">(Freebetahcginngml): de waarde van @code/@codeSystem MOET ''25373-2' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900850
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (Freebetahcginngml)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='25373-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-b8b88513-93ad-4ff9-8ae0-c45bbc161353">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Freebetahcginngml): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="(@nullFlavor or (@unit='ng/ml'))">(Freebetahcginngml): value MOET eenheid 'ng/ml' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Freebetahcginngml): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900850-2012-06-26T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Freebetahcginngml): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-2ebb18cc-1da4-4ce7-9607-10d9091aaac3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900852
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Freebetahcginmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900852
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (Freebetahcginmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900852
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (Freebetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-b7faa8ae-f920-49b7-b54d-54d64ae070e8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(Freebetahcginmom): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(Freebetahcginmom): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Freebetahcginmom): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Freebetahcginmom): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(Freebetahcginmom): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(Freebetahcginmom): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Freebetahcginmom): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900852
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id
Item: (Freebetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:id"
         id="tmp-7894fe5b-0bf9-4f77-81fe-4793aa52c502">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Freebetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900852
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (Freebetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-066e6bc3-74fc-4314-af5a-71943cfe62d2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Freebetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="@nullFlavor or (@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1')">(Freebetahcginmom): de waarde van @code/@codeSystem MOET ''32122-4' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900852
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (Freebetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='32122-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-23006cc3-5316-4e76-b32d-b81a5aef3a13">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Freebetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="(@nullFlavor or (@unit='{MoM}' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{2,99}$'))))">(Freebetahcginmom): value MOET eenheid '{MoM}' gebruiken en tot op minstens 2 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Freebetahcginmom): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900852-2012-06-26T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Freebetahcginmom): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-f9653335-2177-4cd2-92a1-89d8a091dee6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900855
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (PAPPAcorrectedconcentrationinmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900855
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (PAPPAcorrectedconcentrationinmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900855
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (PAPPAcorrectedconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-6dc038bc-42d9-48cc-a14f-f0feedf15572">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(PAPPAcorrectedconcentrationinmom): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(PAPPAcorrectedconcentrationinmom): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(PAPPAcorrectedconcentrationinmom): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(PAPPAcorrectedconcentrationinmom): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(PAPPAcorrectedconcentrationinmom): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(PAPPAcorrectedconcentrationinmom): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(PAPPAcorrectedconcentrationinmom): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900855
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (PAPPAcorrectedconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-3d6c6d62-3dcd-41f6-b9ca-175c03cb3bfa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PAPPAcorrectedconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900855
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (PAPPAcorrectedconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-4b2ce0c9-e314-4ce7-a31f-d7a206d312df">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PAPPAcorrectedconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="@nullFlavor or (@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(PAPPAcorrectedconcentrationinmom): de waarde van @code/@codeSystem MOET ''CorrPAPPA' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900855
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (PAPPAcorrectedconcentrationinmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrPAPPA' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-ebeb7f92-b8bb-4d73-8f74-db7d416c98ee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PAPPAcorrectedconcentrationinmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="(@nullFlavor or (@unit='{MoM}' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{2,99}$'))))">(PAPPAcorrectedconcentrationinmom): value MOET eenheid '{MoM}' gebruiken en tot op minstens 2 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(PAPPAcorrectedconcentrationinmom): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900855-2012-06-26T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(PAPPAcorrectedconcentrationinmom): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-ed27d428-0495-4f24-8dd1-c70fa545733c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900851
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (Freecorrectedbetahcginmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900851
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: (Freecorrectedbetahcginmom)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900851
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: (Freecorrectedbetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-7c6bd9bf-1d2c-436d-b861-4be91abc2a86">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="string(@classCode)='OBS'">(Freecorrectedbetahcginmom): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="string(@moodCode)='EVN'">(Freecorrectedbetahcginmom): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Freecorrectedbetahcginmom): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Freecorrectedbetahcginmom): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="count(hl7:code)&lt;=1">(Freecorrectedbetahcginmom): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="count(hl7:value)&gt;=1 ">(Freecorrectedbetahcginmom): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Freecorrectedbetahcginmom): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900851
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id
Item: (Freecorrectedbetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:id"
         id="tmp-187085bd-8b5f-4393-a037-624f5fcc0b06">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Freecorrectedbetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900851
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: (Freecorrectedbetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-721c3143-7f37-4141-8a30-c33bf9d69c1a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Freecorrectedbetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="@nullFlavor or (@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13')">(Freecorrectedbetahcginmom): de waarde van @code/@codeSystem MOET ''CorrFBhCG' codeSystem '2.16.840.1.113883.2.4.4.13'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900851
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: (Freecorrectedbetahcginmom)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='CorrFBhCG' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-30a9a0a8-7b5c-462d-af9b-7e09501f5cf1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Freecorrectedbetahcginmom): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="(@nullFlavor or (@unit='{MoM}' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{2,99}$'))))">(Freecorrectedbetahcginmom): value MOET eenheid '{MoM}' gebruiken en tot op minstens 2 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="$digitok or @nullFlavor">(Freecorrectedbetahcginmom): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900851-2012-06-26T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Freecorrectedbetahcginmom): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-5fbe2d08-e34d-4408-9f04-ccb9ba2a75da">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-041b709c-913e-4155-9969-e14bc798f2bc">
      <extends rule="tmp-c5c94b7f-c96e-4a08-b77d-eeeb715c02fc"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(RiskAssessment): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(RiskAssessment): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-cd39000c-430a-4c9e-b3b4-08008ede396c">
      <extends rule="tmp-0b003181-1bdb-43f8-952a-e9c24e573584"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RiskAssessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900531
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (NuchalTranslucencyinmm)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900531
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (NuchalTranslucencyinmm)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900531
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (NuchalTranslucencyinmm)
-->
<rule id="tmp-c5c94b7f-c96e-4a08-b77d-eeeb715c02fc" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(NuchalTranslucencyinmm): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(NuchalTranslucencyinmm): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(NuchalTranslucencyinmm): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="count(hl7:code)&lt;=1">(NuchalTranslucencyinmm): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(NuchalTranslucencyinmm): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(NuchalTranslucencyinmm): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(NuchalTranslucencyinmm): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900531
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (NuchalTranslucencyinmm)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-4cc809cb-2de6-4562-a0a3-61fa923d6527">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(NuchalTranslucencyinmm): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="@nullFlavor or (@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1')">(NuchalTranslucencyinmm): de waarde van @code/@codeSystem MOET ''12146-7' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900531
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime
Item: (NuchalTranslucencyinmm)
-->
<rule id="tmp-0b003181-1bdb-43f8-952a-e9c24e573584" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(NuchalTranslucencyinmm): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900531
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (NuchalTranslucencyinmm)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='12146-7' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-81465d6a-43ec-4969-97c6-619fba5e6dcf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(NuchalTranslucencyinmm): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="(@nullFlavor or (@unit='mm' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{1,99}$'))))">(NuchalTranslucencyinmm): value MOET eenheid 'mm' gebruiken en tot op minstens 1 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(NuchalTranslucencyinmm): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900531-2011-01-28T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(NuchalTranslucencyinmm): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-6067dfa3-30b1-4637-ae21-1ae5800acac0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900532
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (NuchalTranslucencyinMoM)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900532
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (NuchalTranslucencyinMoM)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900532
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (NuchalTranslucencyinMoM)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-669fb8ba-c967-4416-9a48-4acb3486a7dc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(NuchalTranslucencyinMoM): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(NuchalTranslucencyinMoM): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(NuchalTranslucencyinMoM): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="count(hl7:code)&lt;=1">(NuchalTranslucencyinMoM): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(NuchalTranslucencyinMoM): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(NuchalTranslucencyinMoM): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900532
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (NuchalTranslucencyinMoM)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-f832153e-0a8b-4704-a644-95cc2c5af86e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(NuchalTranslucencyinMoM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="@nullFlavor or (@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1')">(NuchalTranslucencyinMoM): de waarde van @code/@codeSystem MOET ''49035-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900532
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (NuchalTranslucencyinMoM)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='49035-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-e9ce3595-48ff-4357-b642-522de0e5b2af">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(NuchalTranslucencyinMoM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="(@nullFlavor or (@unit='{MoM}' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{2,99}$'))))">(NuchalTranslucencyinMoM): value MOET eenheid '{MoM}' gebruiken en tot op minstens 2 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(NuchalTranslucencyinMoM): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900532-2011-01-28T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(NuchalTranslucencyinMoM): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-5e29c8ec-7e03-43d7-a347-3fb860d6807b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900820
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (CrownBodyLength)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900820
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (CrownBodyLength)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900820
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (CrownBodyLength)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-9e61f4f3-4028-4a5b-93de-fee859ce3668">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(CrownBodyLength): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(CrownBodyLength): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CrownBodyLength): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="count(hl7:code)&lt;=1">(CrownBodyLength): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(CrownBodyLength): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(CrownBodyLength): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900820
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (CrownBodyLength)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-249615b1-8ed1-47dc-aa03-130c24619779">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CrownBodyLength): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="@nullFlavor or (@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1')">(CrownBodyLength): de waarde van @code/@codeSystem MOET ''11957-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900820
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (CrownBodyLength)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11957-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-3f6170ea-70a4-4380-8749-013d9f9e6d85">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CrownBodyLength): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="(@nullFlavor or (@unit='mm' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{1,99}$'))))">(CrownBodyLength): value MOET eenheid 'mm' gebruiken en tot op minstens 1 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(CrownBodyLength): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900820-2011-01-28T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(CrownBodyLength): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900863
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (RiskAssessment)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-6d0082de-d4db-4487-98e3-3af64e9f584c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@contextConductionInd)='true'">(RiskAssessment): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900863-2012-07-09T000000.html"
              test="string(@typeCode)='COMP'">(RiskAssessment): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900821
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer
Item: (BiparitalDiameter)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900821
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (BiparitalDiameter)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900821
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: (BiparitalDiameter)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-516f5141-1c08-4131-abb5-82d558433d13">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="string(@classCode)='OBS'">(BiparitalDiameter): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="string(@moodCode)='EVN'">(BiparitalDiameter): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(BiparitalDiameter): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="count(hl7:code)&lt;=1">(BiparitalDiameter): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1 ">(BiparitalDiameter): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(BiparitalDiameter): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900821
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: (BiparitalDiameter)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-76a4a66d-ab7f-408b-9965-40caf4fa5f89">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BiparitalDiameter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="@nullFlavor or (@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1')">(BiparitalDiameter): de waarde van @code/@codeSystem MOET ''11820-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.900821
Context: /hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: (BiparitalDiameter)
-->
<rule context="/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:section/hl7:entry[hl7:organizer[hl7:code[@code='12130-1' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.13.38']]]/hl7:observation/hl7:entryRelationship[hl7:organizer]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='11820-8' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-75107f26-7666-459b-819d-045c1a0e85cc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BiparitalDiameter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="(@nullFlavor or (@unit='mm' and (matches(string($theValue), '^[-+]?[0-9]*\.[0-9]{1,99}$'))))">(BiparitalDiameter): value MOET eenheid 'mm' gebruiken en tot op minstens 1 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(BiparitalDiameter): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20130214T150800/tmp-2.16.840.1.113883.2.4.6.10.90.900821-2011-01-28T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BiparitalDiameter): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
